---
features:
  secondary:
  - name: "Configurable maximum number of included CI/CD configuration files"
    available_in: [core, premium, ultimate]
    documentation_link: 'https://docs.gitlab.com/ee/user/admin_area/settings/continuous_integration.html#maximum-includes'
    gitlab_com: false
    reporter: dhershkovitch
    stage: verify
    categories:
    - Pipeline Composition
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/207270'
    description: |
      The `include` keyword lets you compose your CI/CD configuration from multiple files. For example, you can split one
      long `.gitlab-ci.yml` file into multiple files to increase readability, or reuse one CI/CD configuration file in multiple projects.

      Previously, a single CI/CD configuration could include up to 150 files, but in GitLab 16.0 administrators can modify this limit to a different value in the instance settings.
